{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.flying_fish": {
      "initial_state": "flopping",
      "states": {
        "flopping": {
          "animations": ["flop"],
          "transitions": [
            { "swimming": "!v.out_of_water" }
          ]
        },

        "swimming": {
          "animations": ["swim"],
          "transitions": [
            { "flopping": "v.out_of_water" }
          ],

          "blend_transition": 0.2
        }
      }
    }
  }
}
